package de.ivu.elect.business.stimmeingabe.control.sequenznummer;

import java.io.Serializable;

import javax.enterprise.event.Event;
import javax.inject.Inject;

import de.ivu.elect.business.gebietsbaum.entity.Gebiet;
import de.ivu.elect.business.gebietsbaum.entity.GebietPK;

public class ErgebnissequenznummerFuerGebietGesetztEvent implements Serializable {

  private static final long serialVersionUID = 1L;

  private final GebietPK gebietPK;

  private ErgebnissequenznummerFuerGebietGesetztEvent() {
    this(null);
  }

  private ErgebnissequenznummerFuerGebietGesetztEvent(GebietPK gebietPK) {
    this.gebietPK = gebietPK;

  }

  @Inject
  private transient Event<ErgebnissequenznummerFuerGebietGesetztEvent> event;

  public void sendEvent(Gebiet gebiet) {
    if (gebiet != null) {
      event.fire(new ErgebnissequenznummerFuerGebietGesetztEvent(gebiet.getPk()));
    }
  }

  public GebietPK getGebietPK() {
    return gebietPK;
  }

  @Override
  public String toString() {
    return "ErgebnissequenznummerFuerGebietGesetztEvent{" +
        "gebietPK=" + gebietPK +
        '}';
  }
}
